com.holonplatform.vaadin.flow.components.builders

## Interface VerticalLayoutBuilder

- All Superinterfaces:
    ComponentBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout,VerticalLayoutBuilder>, ComponentConfigurator<VerticalLayoutBuilder>, FlexComponentConfigurator<VerticalLayoutBuilder>, HasComponentsConfigurator<VerticalLayoutBuilder>, HasElementConfigurator<VerticalLayoutBuilder>, HasEnabledConfigurator<VerticalLayoutBuilder>, HasSizeConfigurator<VerticalLayoutBuilder>, HasStyleConfigurator<VerticalLayoutBuilder>, ThemableFlexComponentConfigurator<VerticalLayoutBuilder>, ThemableLayoutConfigurator<VerticalLayoutBuilder>

      public interface VerticalLayoutBuilder
      extends ThemableFlexComponentConfigurator<VerticalLayoutBuilder>, ComponentBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout,VerticalLayoutBuilder>

  Builder to create `VerticalLayout` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableFlexComponentConfigurator

      `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VerticalLayoutBuilder` | `create()` Create a new `VerticalLayoutBuilder` to build a `VerticalLayout` component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableFlexComponentConfigurator

      `configure, configure`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FlexComponentConfigurator

      `addAndAlign, addAndAlign, addAndExpand, addAndExpand, align, align, alignItems, alignSelf, expand, expand, flexGrow, justifyContentMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasComponentsConfigurator

      `add, add`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableLayoutConfigurator

      `boxSizing, margin, margin, padding, padding, spacing, spacing, withoutMargin, withoutPadding, withoutSpacing`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

- - ### Method Detail

    - #### create

          static VerticalLayoutBuilder create()

      Create a new `VerticalLayoutBuilder` to build a `VerticalLayout` component.
      Returns:
        A new `VerticalLayoutBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.